Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mortbay.io
Class WriterOutputStream

    java.lang.Object
      java.io.OutputStream
          org.mortbay.io.WriterOutputStream

All Implemented Interfaces:
  java.io.Closeable, java.io.Flushable

    public class WriterOutputStream

extends java.io.OutputStream

Wrap a Writer as an OutputStream. When all you have is a Writer and only an OutputStream will do. Try not to use this as it indicates that your design is a dogs breakfast (JSP made me write it).

Author:
  Greg Wilkins (gregw)

Field Summary
`protected java.lang.String` | `_encoding`
`protected java.io.Writer` | `_writer`

Constructor Summary
`WriterOutputStream(java.io.Writer writer)`
`WriterOutputStream(java.io.Writer writer, java.lang.String encoding)`

Method Summary
`void` | `close()`
`void` | `flush()`
`void` | `write(byte[] b)`
`void` | `write(byte[] b, int off, int len)`
`void` | `write(int b)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### _writer

    protected java.io.Writer _writer

### _encoding

    protected java.lang.String _encoding

Constructor Detail

### WriterOutputStream

    public WriterOutputStream(java.io.Writer writer,
                              java.lang.String encoding)

### WriterOutputStream

    public WriterOutputStream(java.io.Writer writer)

Method Detail

### close

    public void close()
               throws java.io.IOException

  Specified by:
    `close` in interface `java.io.Closeable`
  Overrides:
    `close` in class `java.io.OutputStream`
  Throws:
    `java.io.IOException`

### flush

    public void flush()
               throws java.io.IOException

  Specified by:
    `flush` in interface `java.io.Flushable`
  Overrides:
    `flush` in class `java.io.OutputStream`
  Throws:
    `java.io.IOException`

### write

    public void write(byte[] b)
               throws java.io.IOException

  Overrides:
    `write` in class `java.io.OutputStream`
  Throws:
    `java.io.IOException`

### write

    public void write(byte[] b,
                      int off,
                      int len)
               throws java.io.IOException

  Overrides:
    `write` in class `java.io.OutputStream`
  Throws:
    `java.io.IOException`

### write

    public void write(int b)
               throws java.io.IOException

  Specified by:
    `write` in class `java.io.OutputStream`
  Throws:
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1995-2010 Mort Bay Consulting. All Rights Reserved.